#
# spec file for package galculator
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           galculator
Version:        2.1.3
Release:        7.3
Summary:        A GTK 2/3 based calculator
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://galculator.sourceforge.net/index.html
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  flex
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtk+-2.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Galculator is a GTK 2 based calculator with ordinary notation/reverse
polish notation, a formula entry mode, different number bases
(DEC, HEX, OCT, BIN) and different units of angular measure
(DEG, RAD, GRAD).

%lang_package

%prep
%setup -q

%build
%configure --enable-gtk3=no
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -r %{name} GTK Utility Calculator
%find_lang %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS doc/shortcuts
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man1/%{name}.1.gz

%files lang -f %{name}.lang

%changelog
* Fri Mar 14 2014 andrea@opensuse.org
- new upstream verson 2.1.3
  * Added Spanish tranlsation
  * Fixed segfault introduced in r134
  * Updated Turkish translations
  * Fixing result string corruption when toggling sign
  * Emitting signal in apply_preferences so that menu gets
  hidden after a restart again
  * added Hungarian translation
  * rpn_stack_list when pasting
* Thu Mar  6 2014 trcs@gmx.com
- Added Spanish translation.
* Mon Apr 29 2013 andrea@opensuse.org
- new upstream version 2.1.2
  * This release fixes a handful of bugs:
    a minor flaw in the build process and
    migrates some deprecated GUI elements to recent GTK3
  * Added Lithuanian Translation.
* Sat Mar  2 2013 lazy.kent@opensuse.org
- Update to 2.1.
  * Adds support for quad-precision floating point and up to
    112-bit binary arithmetic on systems with libquadmath.
  * Several bugs have been fixed in the expression parsing engine
    and the GUI.
  * Fallback to default separator if a separator equals the decimal
    point.
  * Changed default background color.
  * Add Turkish translation.
- Correct License tag: GPL-2.0 -> GPL-2.0+.
- Use full URL as a source.
- Correct build dependencies (remove doxygen, fdupes, gcc, gcc-c++,
  libglade2-devel, make; gtk2-devel -> pkgconfig(gtk+-2.0).
- Split off language subpackage.
- Use %%make_install macro.
- Remove check for unsupported openSUSE versions.
- Remove %%clean section.
- Install docs.
- Clean up spec.
* Mon Nov 19 2012 andrea@opensuse.org
- new upstream version 2.0.1
  * added missing GUI element in preferences dialog (migrated
    GtkOptionMenu to GtkComboBox in Numbers tab)
  * fixed integer parsing rule in flex parser (thanks to John Williams,
    fixes sf.net #74)
  * working around bug with window resizing, I assume this was GTK's
    fault (general_functions.c, set_window_size_minimal)
  * removed deprecated calls to set color on color buttons
  * fixed decimal separator on keypad (thanks to cyberpatrol and
    qwertypoke, fixes sf.net #86)
  * config file stored according to XDG spec (thanks to Eric Heintzmann,
    fixes sf.net #88)
  * applied patch to update spec file for RPM (thanks to Dwigth Engen)
* Tue Oct 16 2012 andrea@opensuse.org
- new upstream version 2.0 (added gtk3 support)
- added flex to build requires
- removed gcalculator-ld_fix.diff
* Sat Oct  1 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Sep 17 2011 suse-tux@gmx.de
- added Patch0 (gcalculator-ld_fix.diff) to fix the build for factory
  (this patch requires a autoreconf call)
* Sun Jul 31 2011 andrea@opensuse.org
- fixed URL
- use more macros where possible
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Sun Nov 29 2009 andrea@opensuse.org
- New package
